Record Subscription Usage
curl --request POST \
--url https://{api}.subotiz.com/api/v1/subscription/{subscription_id}/record_usage \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Request-Id: <request-id>' \
--data '
{
"biz_id": "<string>"
}
'const options = {
method: 'POST',
headers: {
'Request-Id': '<request-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({biz_id: '<string>'})
};
fetch('https://{api}.subotiz.com/api/v1/subscription/{subscription_id}/record_usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{api}.subotiz.com/api/v1/subscription/{subscription_id}/record_usage"
payload = { "biz_id": "<string>" }
headers = {
"Request-Id": "<request-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
"code": "<string>",
"message": "<string>",
"data": {}
}{
"code": "InvalidParameter",
"message": "merchant_id is required."
}Subscription
Record Subscription Usage
Record Subscription Usage
POST
/
api
/
v1
/
subscription
/
{subscription_id}
/
record_usage
Record Subscription Usage
Authorizations
Bearer API Key authentication. Format: Authorization: Bearer {your_api_key}
Headers
The unique identifier of the request
Path Parameters
Subscription ID
Body
application/json
Was this page helpful?
⌘I